Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799369 - fprintd: FTBFS in Fedora rawhide/f32
Summary: fprintd: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fprintd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 16:50 UTC by Fedora Release Engineering
Modified: 2020-02-11 10:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 10:42:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 16:50 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 16:50 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 16:50 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 16:50:27 UTC
fprintd failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41317217


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix fprintd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
fprintd will be orphaned. Before branching of Fedora 33,
fprintd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 16:50:30 UTC
Created attachment 1658939 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 16:50:32 UTC
Created attachment 1658940 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 16:50:33 UTC
Created attachment 1658941 [details]
state.log

Comment 4 Bastien Nocera 2020-02-07 11:07:58 UTC
Error:
/usr/bin/ld: ./.libs/libfprintd.a(device.o):/builddir/build/BUILD/fprintd-0.9.0/src/storage.h:47: multiple definition of `store'; main.o:/builddir/build/BUILD/fprintd-0.9.0/src/storage.h:47: first defined here
collect2: error: ld returned 1 exit status

Already fixed upstream, will be in version 2.0 (when that's released):
commit 0c6bab8640b3586ac8e1b8c35d87aa49b79719d0
Author: Bastien Nocera <hadess>
Date:   Thu Jan 23 17:37:33 2020 +0100

    main: Fix redeclaration linking error
    
    Fix linking error as the "store" global variable gets redeclared in
    each C file that includes the header. Move the actual declaration to
    main.c.
    
    Fixes:
     /usr/bin/ld: ./.libs/libfprintd.a(device.o):/builds/libfprint/fprintd/src/storage.h:51: multiple definition of `store'; main.o:/builds/libfprint/fprintd/src/storage.h:51: first defined here

Comment 5 Bastien Nocera 2020-02-11 10:42:10 UTC
Fixed in fprintd-1.90.1-1.fc32


Note You need to log in before you can comment on or make changes to this bug.